<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CruiseItinerary StructType
 * @subpackage Structs
 */
class CruiseItinerary extends AbstractStructBase
{
    /**
     * The CruiseItineraryRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseItineraryRQ
     */
    public $CruiseItineraryRQ;
    /**
     * Constructor method for CruiseItinerary
     * @uses CruiseItinerary::setCruiseItineraryRQ()
     * @param \StructType\JP_CruiseItineraryRQ $cruiseItineraryRQ
     */
    public function __construct(\StructType\JP_CruiseItineraryRQ $cruiseItineraryRQ = null)
    {
        $this
            ->setCruiseItineraryRQ($cruiseItineraryRQ);
    }
    /**
     * Get CruiseItineraryRQ value
     * @return \StructType\JP_CruiseItineraryRQ|null
     */
    public function getCruiseItineraryRQ()
    {
        return $this->CruiseItineraryRQ;
    }
    /**
     * Set CruiseItineraryRQ value
     * @param \StructType\JP_CruiseItineraryRQ $cruiseItineraryRQ
     * @return \StructType\CruiseItinerary
     */
    public function setCruiseItineraryRQ(\StructType\JP_CruiseItineraryRQ $cruiseItineraryRQ = null)
    {
        $this->CruiseItineraryRQ = $cruiseItineraryRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CruiseItinerary
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
